Short Links & Analytics
Create tracked vanity short link
POST
Generates a compressed vanity URL with optional custom slug and expiration. Automatically enables dynamic click-through rate (CTR) tracking.
header
X-Api-Key<token>SMS Pro API Key (sk_live_... or sk_test_...)
application/json- body
originalUrl*stringFormat
uricustomCode?stringtitle?stringexpiresAt?stringFormat
date-timeShort link created
application/json- response
status?stringdata?curl -X POST 'https://api.smspro.com/api/v1/public/shortlinks' \ -H 'Content-Type: application/json' \ -d '{ "originalUrl": "http://example.com"}'Example Response
{ "status": "string", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortUrl": "string", "shortCode": "string", "originalUrl": "string", "active": null }}